Bug 1637 - не поддерживаются туннели IPv4
: не поддерживаются туннели IPv4
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/net-scripts)
: unstable
: all Linux
: P4 minor
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2002-11-28 18:45 by
Modified: 2004-05-23 18:14 (History)


Attachments
0001637-tunnelscripts-1.0.tar.gz (734 bytes, application/x-gzip)
2002-11-28 18:45, iNFRA_Station
no flags Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2002-11-28 18:45:38
Отсутствуют ifup- и ifdown- для поддержки туннелей IPv4. Предлагаю свой
вариант.
---

---
Самодельные скрипты и конфиг туннеля прилагаются.
Пояснения по ifcfg-tun0:
/etc/modules.conf должен содержать \"alias tun0/tun1/... ipip\" для
MODE=ipip. MODE=gre может не работать.
PHYS* адреса соответствуют физическим интерфейсам
TUN* адреса навешиваются на туннельный интерфейс
------- Comment #1 From 2002-12-09 21:10:36 -------
Имя tun%d использовать нельзя - оно конфликтует с драйвером TUN/TAP
(linux/drivers/net/tun.c, linux/Documentation/networking/tuntap.txt).
------- Comment #2 From 2002-12-09 21:10:36 -------
Имя tun%d использовать нельзя - оно конфликтует с драйвером TUN/TAP
(linux/drivers/net/tun.c, linux/Documentation/networking/tuntap.txt).
------- Comment #3 From 2003-03-11 14:06:08 -------
Тогда давайте пусть будет iptun%u. Если использовать tunl, то это конфликтует с 
ipip-туннелями. А эти скрипты поддерживают ipip & gre туннели, то есть как
раз IP-
туннели. Мне поправить или кому ?
------- Comment #4 From 2003-03-11 14:06:08 -------
Тогда давайте пусть будет iptun%u. Если использовать tunl, то это конфликтует с 
ipip-туннелями. А эти скрипты поддерживают ipip & gre туннели, то есть как
раз IP-
туннели. Мне поправить или кому ?
------- Comment #5 From 2004-03-13 13:12:13 -------
iptun-scripts-1.3 merged into net-scripts-0.4